> ## Documentation Index
> Fetch the complete documentation index at: https://docs.morrowly.app/llms.txt
> Use this file to discover all available pages before exploring further.

# 질문하기(스트림)

> 필요한 권한: `moro:write`



## OpenAPI

````yaml /openapi.json post /v1/plans/{id}/advisor/threads/{threadId}/messages
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.morrowly.app
security:
  - token: []
paths:
  /v1/plans/{id}/advisor/threads/{threadId}/messages:
    post:
      tags:
        - advisor
      summary: 질문하기(스트림)
      description: '필요한 권한: `moro:write`'
      operationId: ask
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            type: string
        - in: path
          name: threadId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AskRequest'
        required: true
      responses:
        '200':
          content:
            text/event-stream:
              schema:
                $ref: '#/components/schemas/SseEmitter'
          description: OK
        '401':
          description: 토큰이 없거나 틀리거나 만료됨(본문 없음)
        '403':
          description: 토큰의 권한이 모자람(본문 없음)
components:
  schemas:
    AskRequest:
      properties:
        question:
          type: string
        screen:
          oneOf:
            - $ref: '#/components/schemas/Screen'
            - type: 'null'
      required:
        - question
        - screen
      type: object
    SseEmitter:
      properties:
        timeout:
          format: int64
          type: integer
      required:
        - timeout
      type: object
    Screen:
      enum:
        - OVERVIEW
        - PROJECTION
        - CASH_FLOW
        - TAXES
        - ESTATE
        - SUCCESS
        - RETIREMENT
        - COMPARE
        - OPTIMIZE
        - HOME
        - SETTINGS
        - DASHBOARD
        - FINANCES
        - PROGRESS
        - PLANS
      type: string
  securitySchemes:
    token:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.